
from kivy.app import App
from kivy.uix.boxlayout import BoxLayout

from signage.browser import CEFBrowser
from signage.fader import Fader
from signage.clock import ClockNode


class MainContainer(BoxLayout):
    pass


class SignageApp(App):
    def build(self):
        return MainContainer()


FONTS = [
    {
        'name': 'Lato',
        'fn_regular': 'fonts/Lato-Light.ttf',
        'fn_bold': 'fonts/Lato-Regular.ttf'
    },
]

if __name__ == '__main__':
    from kivy.core.text import Label as CoreLabel

    for font in FONTS:
        CoreLabel.register(**font)

    SignageApp().run()
